Bug 485112 - Cluster client hangs with --cluster-read-max=1
Cluster client hangs with --cluster-read-max=1
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
All Linux
high Severity high
: 1.1.1
: ---
Assigned To: Alan Conway
Frantisek Reznicek
Depends On:
  Show dependency treegraph
Reported: 2009-02-11 11:54 EST by Alan Conway
Modified: 2015-11-15 19:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-16 08:07:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2009-02-11 11:54:20 EST
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible: easy on my laptop

Steps to Reproduce:
1. start a cluster broker with --cluster-read-max=1
2. while  ./perftest --count 1 -s ; do true ; done

After about 50 iterations the client hangs.
Additional info:

On multi-core box a  different problem occurs before the hang, see  bug 479326.
Comment 1 Alan Conway 2009-02-11 12:37:53 EST
Fxied in revision 743416
Comment 2 Jan Sarenik 2009-02-12 05:22:17 EST
I am not able to reproduce the bug on version qpidd-0.4.741135-1.el5
even after >200 iterations. What particular version have you been
using when the problem occured?
Comment 3 Jan Sarenik 2009-02-12 06:03:30 EST
Can not reproduce it even on MRG1.1 version:
Comment 4 Alan Conway 2009-02-12 10:21:34 EST
I reproduced this easily on my laptop, a dual-core thinkpad T61 running fedora 10. I never was able to reproduce it on any of the multi-core RHEL5 boxes I use for testing.
Comment 5 Jan Sarenik 2009-02-13 09:53:13 EST
Excuse me, but the version of qpidd please. I am trying
to reproduce it on laptop as well - dual-core, X61
on RHEL5.3 i386.

Do you use x86_64? Perhaps the bug is visible just there?
Comment 6 Alan Conway 2009-02-13 10:27:58 EST
I was seeing it on trunk prior to revision 743416 when I checked in the fix. 

[aconway@rolf ~]$ uname -a
Linux rolf #1 SMP Wed Jan 21 01:54:56 EST 2009 i686 i686 i386 GNU/Linux
[aconway@rolf ~]$ cat /etc/redhat-release 
Fedora release 10 (Cambridge)

I'm using the PAE kernel, perhaps that's the trick. If you can't reproduce this then I think its safe to close it.
Comment 7 Jan Sarenik 2009-02-16 08:07:03 EST
While unable to reproduce the bug, I consider it
being solved as I did not experience any client

Note You need to log in before you can comment on or make changes to this bug.